Skip to content

Retrieve a note

Request

You can fetch the details of a single note.

Security
bearerAuth
Path
idintegerrequired

The unique identifier of a given note

Example:1
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
curl -i -X GET \
  https://api.intercom.io/notes/1 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.9'

Responses

Note found

Bodyapplication/json
typestring

String representing the object's type. Always has the value note.

Example:"note"
idstring

The id of the note.

Example:"17495962"
created_atinteger, (timestamp)

The time the note was created.

Example:1674589321
contactobject or null

Represents the contact that the note was created about.

authorobject or null(Admin)

Optional. Represents the Admin that created the note.

bodystring

The body text of the note.

Example:"<p>Text for the note.</p>"
Response
{ "type": "note", "id": "37", "created_at": 1716330431, "contact": { "type": "contact", "id": "6657abbf6abd0164c24b0dc8" }, "author": { "type": "admin", "id": "991267623", "name": "Ciaran323 Lee", "email": "admin323@email.com", "away_mode_enabled": false, "away_mode_reassign": false }, "body": "<p>This is a note.</p>" }